#include  "verime_lib.h"
extern "C" SimModel * new_model_ptr() {
    VerilatedContext * contextp = new VerilatedContext;
    Vaes_enc128_32bits_hpc2 * top = new Vaes_enc128_32bits_hpc2(contextp);
    SimModel * sm_ptr = (SimModel *) malloc(sizeof(SimModel));
    sm_ptr->contextp = contextp;
    sm_ptr->vtop = top;
    return sm_ptr;
}
extern "C" void delete_model_ptr(SimModel * sm) {
    delete(sm->vtop);
    delete(sm->contextp);
    free(sm);
}
extern "C" ProbedState * new_probed_state_ptr() {
    ProbedState prb_st;
    ProbedState * prb_st_ptr = (ProbedState *) malloc(sizeof(ProbedState));
    memcpy(prb_st_ptr,&prb_st,sizeof(ProbedState));
    return prb_st_ptr;
}
extern "C" ProbedStateBuffer * new_probed_state_buffer_ptr(uint32_t n) {
    char (* buffer)[368] = (char (*) [368]) malloc(n*368);
    ProbedStateBuffer * psb_ptr = (ProbedStateBuffer *) malloc(sizeof(ProbedStateBuffer));
    psb_ptr->buffer = buffer;
    psb_ptr->am_ps = 0;
    return psb_ptr;
}
extern "C" void delete_probed_state_buffer_ptr(ProbedStateBuffer * ptr) {
    free(ptr->buffer);
    free(ptr);
}
void write_probed_state_to_buffer(ProbedState * ps, ProbedStateBuffer * psb) {
        memcpy(&psb->buffer[psb->am_ps][0],ps->shares_key[0],32);
    memcpy(&psb->buffer[psb->am_ps][32],ps->shares_plaintext[0],32);
    memcpy(&psb->buffer[psb->am_ps][64],ps->shares_ciphertext[0],32);
    memcpy(&psb->buffer[psb->am_ps][96],ps->B_fromSB__0,2);
    memcpy(&psb->buffer[psb->am_ps][98],ps->B_fromSB__1,2);
    memcpy(&psb->buffer[psb->am_ps][100],ps->B_fromSB__2,2);
    memcpy(&psb->buffer[psb->am_ps][102],ps->B_fromSB__3,2);
    memcpy(&psb->buffer[psb->am_ps][104],ps->B_toSB__0,2);
    memcpy(&psb->buffer[psb->am_ps][106],ps->B_toSB__1,2);
    memcpy(&psb->buffer[psb->am_ps][108],ps->B_toSB__2,2);
    memcpy(&psb->buffer[psb->am_ps][110],ps->B_toSB__3,2);
    memcpy(&psb->buffer[psb->am_ps][112],ps->b32_fromK,8);
    memcpy(&psb->buffer[psb->am_ps][120],ps->b32_fromAK,8);
    memcpy(&psb->buffer[psb->am_ps][128],ps->b32_fromMC,8);
    memcpy(&psb->buffer[psb->am_ps][136],ps->key_col_from_SB,8);
    memcpy(&psb->buffer[psb->am_ps][144],ps->key_col_to_AK,8);
    memcpy(&psb->buffer[psb->am_ps][152],ps->key_byte__0,2);
    memcpy(&psb->buffer[psb->am_ps][154],ps->key_byte__10,2);
    memcpy(&psb->buffer[psb->am_ps][156],ps->key_byte__11,2);
    memcpy(&psb->buffer[psb->am_ps][158],ps->key_byte__12,2);
    memcpy(&psb->buffer[psb->am_ps][160],ps->key_byte__13,2);
    memcpy(&psb->buffer[psb->am_ps][162],ps->key_byte__14,2);
    memcpy(&psb->buffer[psb->am_ps][164],ps->key_byte__15,2);
    memcpy(&psb->buffer[psb->am_ps][166],ps->key_byte__1,2);
    memcpy(&psb->buffer[psb->am_ps][168],ps->key_byte__2,2);
    memcpy(&psb->buffer[psb->am_ps][170],ps->key_byte__3,2);
    memcpy(&psb->buffer[psb->am_ps][172],ps->key_byte__4,2);
    memcpy(&psb->buffer[psb->am_ps][174],ps->key_byte__5,2);
    memcpy(&psb->buffer[psb->am_ps][176],ps->key_byte__6,2);
    memcpy(&psb->buffer[psb->am_ps][178],ps->key_byte__7,2);
    memcpy(&psb->buffer[psb->am_ps][180],ps->key_byte__8,2);
    memcpy(&psb->buffer[psb->am_ps][182],ps->key_byte__9,2);
    memcpy(&psb->buffer[psb->am_ps][184],ps->ddddt15__0,1);
    memcpy(&psb->buffer[psb->am_ps][185],ps->ddddt4__0,1);
    memcpy(&psb->buffer[psb->am_ps][186],ps->dt23__0,1);
    memcpy(&psb->buffer[psb->am_ps][187],ps->m20__0,1);
    memcpy(&psb->buffer[psb->am_ps][188],ps->m21__0,1);
    memcpy(&psb->buffer[psb->am_ps][189],ps->m22__0,1);
    memcpy(&psb->buffer[psb->am_ps][190],ps->m23__0,1);
    memcpy(&psb->buffer[psb->am_ps][191],ps->m24__0,1);
    memcpy(&psb->buffer[psb->am_ps][192],ps->m26__0,1);
    memcpy(&psb->buffer[psb->am_ps][193],ps->m27__0,1);
    memcpy(&psb->buffer[psb->am_ps][194],ps->m28__0,1);
    memcpy(&psb->buffer[psb->am_ps][195],ps->m31__0,1);
    memcpy(&psb->buffer[psb->am_ps][196],ps->m33__0,1);
    memcpy(&psb->buffer[psb->am_ps][197],ps->m34__0,1);
    memcpy(&psb->buffer[psb->am_ps][198],ps->m36__0,1);
    memcpy(&psb->buffer[psb->am_ps][199],ps->m37__0,1);
    memcpy(&psb->buffer[psb->am_ps][200],ps->m38__0,1);
    memcpy(&psb->buffer[psb->am_ps][201],ps->m39__0,1);
    memcpy(&psb->buffer[psb->am_ps][202],ps->m40__0,1);
    memcpy(&psb->buffer[psb->am_ps][203],ps->m41__0,1);
    memcpy(&psb->buffer[psb->am_ps][204],ps->m42__0,1);
    memcpy(&psb->buffer[psb->am_ps][205],ps->m43__0,1);
    memcpy(&psb->buffer[psb->am_ps][206],ps->m44__0,1);
    memcpy(&psb->buffer[psb->am_ps][207],ps->m45__0,1);
    memcpy(&psb->buffer[psb->am_ps][208],ps->t1__0,1);
    memcpy(&psb->buffer[psb->am_ps][209],ps->t10__0,1);
    memcpy(&psb->buffer[psb->am_ps][210],ps->t13__0,1);
    memcpy(&psb->buffer[psb->am_ps][211],ps->t14__0,1);
    memcpy(&psb->buffer[psb->am_ps][212],ps->t15__0,1);
    memcpy(&psb->buffer[psb->am_ps][213],ps->t16__0,1);
    memcpy(&psb->buffer[psb->am_ps][214],ps->t17__0,1);
    memcpy(&psb->buffer[psb->am_ps][215],ps->t19__0,1);
    memcpy(&psb->buffer[psb->am_ps][216],ps->t2__0,1);
    memcpy(&psb->buffer[psb->am_ps][217],ps->t20__0,1);
    memcpy(&psb->buffer[psb->am_ps][218],ps->t22__0,1);
    memcpy(&psb->buffer[psb->am_ps][219],ps->t23__0,1);
    memcpy(&psb->buffer[psb->am_ps][220],ps->t24__0,1);
    memcpy(&psb->buffer[psb->am_ps][221],ps->t25__0,1);
    memcpy(&psb->buffer[psb->am_ps][222],ps->t26__0,1);
    memcpy(&psb->buffer[psb->am_ps][223],ps->t27__0,1);
    memcpy(&psb->buffer[psb->am_ps][224],ps->t3__0,1);
    memcpy(&psb->buffer[psb->am_ps][225],ps->t4__0,1);
    memcpy(&psb->buffer[psb->am_ps][226],ps->t6__0,1);
    memcpy(&psb->buffer[psb->am_ps][227],ps->t8__0,1);
    memcpy(&psb->buffer[psb->am_ps][228],ps->t9__0,1);
    memcpy(&psb->buffer[psb->am_ps][229],ps->u7__0,1);
    memcpy(&psb->buffer[psb->am_ps][230],ps->ddddt15__1,1);
    memcpy(&psb->buffer[psb->am_ps][231],ps->ddddt4__1,1);
    memcpy(&psb->buffer[psb->am_ps][232],ps->dt23__1,1);
    memcpy(&psb->buffer[psb->am_ps][233],ps->m20__1,1);
    memcpy(&psb->buffer[psb->am_ps][234],ps->m21__1,1);
    memcpy(&psb->buffer[psb->am_ps][235],ps->m22__1,1);
    memcpy(&psb->buffer[psb->am_ps][236],ps->m23__1,1);
    memcpy(&psb->buffer[psb->am_ps][237],ps->m24__1,1);
    memcpy(&psb->buffer[psb->am_ps][238],ps->m26__1,1);
    memcpy(&psb->buffer[psb->am_ps][239],ps->m27__1,1);
    memcpy(&psb->buffer[psb->am_ps][240],ps->m28__1,1);
    memcpy(&psb->buffer[psb->am_ps][241],ps->m31__1,1);
    memcpy(&psb->buffer[psb->am_ps][242],ps->m33__1,1);
    memcpy(&psb->buffer[psb->am_ps][243],ps->m34__1,1);
    memcpy(&psb->buffer[psb->am_ps][244],ps->m36__1,1);
    memcpy(&psb->buffer[psb->am_ps][245],ps->m37__1,1);
    memcpy(&psb->buffer[psb->am_ps][246],ps->m38__1,1);
    memcpy(&psb->buffer[psb->am_ps][247],ps->m39__1,1);
    memcpy(&psb->buffer[psb->am_ps][248],ps->m40__1,1);
    memcpy(&psb->buffer[psb->am_ps][249],ps->m41__1,1);
    memcpy(&psb->buffer[psb->am_ps][250],ps->m42__1,1);
    memcpy(&psb->buffer[psb->am_ps][251],ps->m43__1,1);
    memcpy(&psb->buffer[psb->am_ps][252],ps->m44__1,1);
    memcpy(&psb->buffer[psb->am_ps][253],ps->m45__1,1);
    memcpy(&psb->buffer[psb->am_ps][254],ps->t1__1,1);
    memcpy(&psb->buffer[psb->am_ps][255],ps->t10__1,1);
    memcpy(&psb->buffer[psb->am_ps][256],ps->t13__1,1);
    memcpy(&psb->buffer[psb->am_ps][257],ps->t14__1,1);
    memcpy(&psb->buffer[psb->am_ps][258],ps->t15__1,1);
    memcpy(&psb->buffer[psb->am_ps][259],ps->t16__1,1);
    memcpy(&psb->buffer[psb->am_ps][260],ps->t17__1,1);
    memcpy(&psb->buffer[psb->am_ps][261],ps->t19__1,1);
    memcpy(&psb->buffer[psb->am_ps][262],ps->t2__1,1);
    memcpy(&psb->buffer[psb->am_ps][263],ps->t20__1,1);
    memcpy(&psb->buffer[psb->am_ps][264],ps->t22__1,1);
    memcpy(&psb->buffer[psb->am_ps][265],ps->t23__1,1);
    memcpy(&psb->buffer[psb->am_ps][266],ps->t24__1,1);
    memcpy(&psb->buffer[psb->am_ps][267],ps->t25__1,1);
    memcpy(&psb->buffer[psb->am_ps][268],ps->t26__1,1);
    memcpy(&psb->buffer[psb->am_ps][269],ps->t27__1,1);
    memcpy(&psb->buffer[psb->am_ps][270],ps->t3__1,1);
    memcpy(&psb->buffer[psb->am_ps][271],ps->t4__1,1);
    memcpy(&psb->buffer[psb->am_ps][272],ps->t6__1,1);
    memcpy(&psb->buffer[psb->am_ps][273],ps->t8__1,1);
    memcpy(&psb->buffer[psb->am_ps][274],ps->t9__1,1);
    memcpy(&psb->buffer[psb->am_ps][275],ps->u7__1,1);
    memcpy(&psb->buffer[psb->am_ps][276],ps->ddddt15__2,1);
    memcpy(&psb->buffer[psb->am_ps][277],ps->ddddt4__2,1);
    memcpy(&psb->buffer[psb->am_ps][278],ps->dt23__2,1);
    memcpy(&psb->buffer[psb->am_ps][279],ps->m20__2,1);
    memcpy(&psb->buffer[psb->am_ps][280],ps->m21__2,1);
    memcpy(&psb->buffer[psb->am_ps][281],ps->m22__2,1);
    memcpy(&psb->buffer[psb->am_ps][282],ps->m23__2,1);
    memcpy(&psb->buffer[psb->am_ps][283],ps->m24__2,1);
    memcpy(&psb->buffer[psb->am_ps][284],ps->m26__2,1);
    memcpy(&psb->buffer[psb->am_ps][285],ps->m27__2,1);
    memcpy(&psb->buffer[psb->am_ps][286],ps->m28__2,1);
    memcpy(&psb->buffer[psb->am_ps][287],ps->m31__2,1);
    memcpy(&psb->buffer[psb->am_ps][288],ps->m33__2,1);
    memcpy(&psb->buffer[psb->am_ps][289],ps->m34__2,1);
    memcpy(&psb->buffer[psb->am_ps][290],ps->m36__2,1);
    memcpy(&psb->buffer[psb->am_ps][291],ps->m37__2,1);
    memcpy(&psb->buffer[psb->am_ps][292],ps->m38__2,1);
    memcpy(&psb->buffer[psb->am_ps][293],ps->m39__2,1);
    memcpy(&psb->buffer[psb->am_ps][294],ps->m40__2,1);
    memcpy(&psb->buffer[psb->am_ps][295],ps->m41__2,1);
    memcpy(&psb->buffer[psb->am_ps][296],ps->m42__2,1);
    memcpy(&psb->buffer[psb->am_ps][297],ps->m43__2,1);
    memcpy(&psb->buffer[psb->am_ps][298],ps->m44__2,1);
    memcpy(&psb->buffer[psb->am_ps][299],ps->m45__2,1);
    memcpy(&psb->buffer[psb->am_ps][300],ps->t1__2,1);
    memcpy(&psb->buffer[psb->am_ps][301],ps->t10__2,1);
    memcpy(&psb->buffer[psb->am_ps][302],ps->t13__2,1);
    memcpy(&psb->buffer[psb->am_ps][303],ps->t14__2,1);
    memcpy(&psb->buffer[psb->am_ps][304],ps->t15__2,1);
    memcpy(&psb->buffer[psb->am_ps][305],ps->t16__2,1);
    memcpy(&psb->buffer[psb->am_ps][306],ps->t17__2,1);
    memcpy(&psb->buffer[psb->am_ps][307],ps->t19__2,1);
    memcpy(&psb->buffer[psb->am_ps][308],ps->t2__2,1);
    memcpy(&psb->buffer[psb->am_ps][309],ps->t20__2,1);
    memcpy(&psb->buffer[psb->am_ps][310],ps->t22__2,1);
    memcpy(&psb->buffer[psb->am_ps][311],ps->t23__2,1);
    memcpy(&psb->buffer[psb->am_ps][312],ps->t24__2,1);
    memcpy(&psb->buffer[psb->am_ps][313],ps->t25__2,1);
    memcpy(&psb->buffer[psb->am_ps][314],ps->t26__2,1);
    memcpy(&psb->buffer[psb->am_ps][315],ps->t27__2,1);
    memcpy(&psb->buffer[psb->am_ps][316],ps->t3__2,1);
    memcpy(&psb->buffer[psb->am_ps][317],ps->t4__2,1);
    memcpy(&psb->buffer[psb->am_ps][318],ps->t6__2,1);
    memcpy(&psb->buffer[psb->am_ps][319],ps->t8__2,1);
    memcpy(&psb->buffer[psb->am_ps][320],ps->t9__2,1);
    memcpy(&psb->buffer[psb->am_ps][321],ps->u7__2,1);
    memcpy(&psb->buffer[psb->am_ps][322],ps->ddddt15__3,1);
    memcpy(&psb->buffer[psb->am_ps][323],ps->ddddt4__3,1);
    memcpy(&psb->buffer[psb->am_ps][324],ps->dt23__3,1);
    memcpy(&psb->buffer[psb->am_ps][325],ps->m20__3,1);
    memcpy(&psb->buffer[psb->am_ps][326],ps->m21__3,1);
    memcpy(&psb->buffer[psb->am_ps][327],ps->m22__3,1);
    memcpy(&psb->buffer[psb->am_ps][328],ps->m23__3,1);
    memcpy(&psb->buffer[psb->am_ps][329],ps->m24__3,1);
    memcpy(&psb->buffer[psb->am_ps][330],ps->m26__3,1);
    memcpy(&psb->buffer[psb->am_ps][331],ps->m27__3,1);
    memcpy(&psb->buffer[psb->am_ps][332],ps->m28__3,1);
    memcpy(&psb->buffer[psb->am_ps][333],ps->m31__3,1);
    memcpy(&psb->buffer[psb->am_ps][334],ps->m33__3,1);
    memcpy(&psb->buffer[psb->am_ps][335],ps->m34__3,1);
    memcpy(&psb->buffer[psb->am_ps][336],ps->m36__3,1);
    memcpy(&psb->buffer[psb->am_ps][337],ps->m37__3,1);
    memcpy(&psb->buffer[psb->am_ps][338],ps->m38__3,1);
    memcpy(&psb->buffer[psb->am_ps][339],ps->m39__3,1);
    memcpy(&psb->buffer[psb->am_ps][340],ps->m40__3,1);
    memcpy(&psb->buffer[psb->am_ps][341],ps->m41__3,1);
    memcpy(&psb->buffer[psb->am_ps][342],ps->m42__3,1);
    memcpy(&psb->buffer[psb->am_ps][343],ps->m43__3,1);
    memcpy(&psb->buffer[psb->am_ps][344],ps->m44__3,1);
    memcpy(&psb->buffer[psb->am_ps][345],ps->m45__3,1);
    memcpy(&psb->buffer[psb->am_ps][346],ps->t1__3,1);
    memcpy(&psb->buffer[psb->am_ps][347],ps->t10__3,1);
    memcpy(&psb->buffer[psb->am_ps][348],ps->t13__3,1);
    memcpy(&psb->buffer[psb->am_ps][349],ps->t14__3,1);
    memcpy(&psb->buffer[psb->am_ps][350],ps->t15__3,1);
    memcpy(&psb->buffer[psb->am_ps][351],ps->t16__3,1);
    memcpy(&psb->buffer[psb->am_ps][352],ps->t17__3,1);
    memcpy(&psb->buffer[psb->am_ps][353],ps->t19__3,1);
    memcpy(&psb->buffer[psb->am_ps][354],ps->t2__3,1);
    memcpy(&psb->buffer[psb->am_ps][355],ps->t20__3,1);
    memcpy(&psb->buffer[psb->am_ps][356],ps->t22__3,1);
    memcpy(&psb->buffer[psb->am_ps][357],ps->t23__3,1);
    memcpy(&psb->buffer[psb->am_ps][358],ps->t24__3,1);
    memcpy(&psb->buffer[psb->am_ps][359],ps->t25__3,1);
    memcpy(&psb->buffer[psb->am_ps][360],ps->t26__3,1);
    memcpy(&psb->buffer[psb->am_ps][361],ps->t27__3,1);
    memcpy(&psb->buffer[psb->am_ps][362],ps->t3__3,1);
    memcpy(&psb->buffer[psb->am_ps][363],ps->t4__3,1);
    memcpy(&psb->buffer[psb->am_ps][364],ps->t6__3,1);
    memcpy(&psb->buffer[psb->am_ps][365],ps->t8__3,1);
    memcpy(&psb->buffer[psb->am_ps][366],ps->t9__3,1);
    memcpy(&psb->buffer[psb->am_ps][367],ps->u7__3,1);
    psb->am_ps += 1;
}
void write_probed_state_to_charbuffer(char * cb, ProbedState * ps) {
        memcpy(&cb[0],ps->shares_key[0],32);
    memcpy(&cb[32],ps->shares_plaintext[0],32);
    memcpy(&cb[64],ps->shares_ciphertext[0],32);
    memcpy(&cb[96],ps->B_fromSB__0,2);
    memcpy(&cb[98],ps->B_fromSB__1,2);
    memcpy(&cb[100],ps->B_fromSB__2,2);
    memcpy(&cb[102],ps->B_fromSB__3,2);
    memcpy(&cb[104],ps->B_toSB__0,2);
    memcpy(&cb[106],ps->B_toSB__1,2);
    memcpy(&cb[108],ps->B_toSB__2,2);
    memcpy(&cb[110],ps->B_toSB__3,2);
    memcpy(&cb[112],ps->b32_fromK,8);
    memcpy(&cb[120],ps->b32_fromAK,8);
    memcpy(&cb[128],ps->b32_fromMC,8);
    memcpy(&cb[136],ps->key_col_from_SB,8);
    memcpy(&cb[144],ps->key_col_to_AK,8);
    memcpy(&cb[152],ps->key_byte__0,2);
    memcpy(&cb[154],ps->key_byte__10,2);
    memcpy(&cb[156],ps->key_byte__11,2);
    memcpy(&cb[158],ps->key_byte__12,2);
    memcpy(&cb[160],ps->key_byte__13,2);
    memcpy(&cb[162],ps->key_byte__14,2);
    memcpy(&cb[164],ps->key_byte__15,2);
    memcpy(&cb[166],ps->key_byte__1,2);
    memcpy(&cb[168],ps->key_byte__2,2);
    memcpy(&cb[170],ps->key_byte__3,2);
    memcpy(&cb[172],ps->key_byte__4,2);
    memcpy(&cb[174],ps->key_byte__5,2);
    memcpy(&cb[176],ps->key_byte__6,2);
    memcpy(&cb[178],ps->key_byte__7,2);
    memcpy(&cb[180],ps->key_byte__8,2);
    memcpy(&cb[182],ps->key_byte__9,2);
    memcpy(&cb[184],ps->ddddt15__0,1);
    memcpy(&cb[185],ps->ddddt4__0,1);
    memcpy(&cb[186],ps->dt23__0,1);
    memcpy(&cb[187],ps->m20__0,1);
    memcpy(&cb[188],ps->m21__0,1);
    memcpy(&cb[189],ps->m22__0,1);
    memcpy(&cb[190],ps->m23__0,1);
    memcpy(&cb[191],ps->m24__0,1);
    memcpy(&cb[192],ps->m26__0,1);
    memcpy(&cb[193],ps->m27__0,1);
    memcpy(&cb[194],ps->m28__0,1);
    memcpy(&cb[195],ps->m31__0,1);
    memcpy(&cb[196],ps->m33__0,1);
    memcpy(&cb[197],ps->m34__0,1);
    memcpy(&cb[198],ps->m36__0,1);
    memcpy(&cb[199],ps->m37__0,1);
    memcpy(&cb[200],ps->m38__0,1);
    memcpy(&cb[201],ps->m39__0,1);
    memcpy(&cb[202],ps->m40__0,1);
    memcpy(&cb[203],ps->m41__0,1);
    memcpy(&cb[204],ps->m42__0,1);
    memcpy(&cb[205],ps->m43__0,1);
    memcpy(&cb[206],ps->m44__0,1);
    memcpy(&cb[207],ps->m45__0,1);
    memcpy(&cb[208],ps->t1__0,1);
    memcpy(&cb[209],ps->t10__0,1);
    memcpy(&cb[210],ps->t13__0,1);
    memcpy(&cb[211],ps->t14__0,1);
    memcpy(&cb[212],ps->t15__0,1);
    memcpy(&cb[213],ps->t16__0,1);
    memcpy(&cb[214],ps->t17__0,1);
    memcpy(&cb[215],ps->t19__0,1);
    memcpy(&cb[216],ps->t2__0,1);
    memcpy(&cb[217],ps->t20__0,1);
    memcpy(&cb[218],ps->t22__0,1);
    memcpy(&cb[219],ps->t23__0,1);
    memcpy(&cb[220],ps->t24__0,1);
    memcpy(&cb[221],ps->t25__0,1);
    memcpy(&cb[222],ps->t26__0,1);
    memcpy(&cb[223],ps->t27__0,1);
    memcpy(&cb[224],ps->t3__0,1);
    memcpy(&cb[225],ps->t4__0,1);
    memcpy(&cb[226],ps->t6__0,1);
    memcpy(&cb[227],ps->t8__0,1);
    memcpy(&cb[228],ps->t9__0,1);
    memcpy(&cb[229],ps->u7__0,1);
    memcpy(&cb[230],ps->ddddt15__1,1);
    memcpy(&cb[231],ps->ddddt4__1,1);
    memcpy(&cb[232],ps->dt23__1,1);
    memcpy(&cb[233],ps->m20__1,1);
    memcpy(&cb[234],ps->m21__1,1);
    memcpy(&cb[235],ps->m22__1,1);
    memcpy(&cb[236],ps->m23__1,1);
    memcpy(&cb[237],ps->m24__1,1);
    memcpy(&cb[238],ps->m26__1,1);
    memcpy(&cb[239],ps->m27__1,1);
    memcpy(&cb[240],ps->m28__1,1);
    memcpy(&cb[241],ps->m31__1,1);
    memcpy(&cb[242],ps->m33__1,1);
    memcpy(&cb[243],ps->m34__1,1);
    memcpy(&cb[244],ps->m36__1,1);
    memcpy(&cb[245],ps->m37__1,1);
    memcpy(&cb[246],ps->m38__1,1);
    memcpy(&cb[247],ps->m39__1,1);
    memcpy(&cb[248],ps->m40__1,1);
    memcpy(&cb[249],ps->m41__1,1);
    memcpy(&cb[250],ps->m42__1,1);
    memcpy(&cb[251],ps->m43__1,1);
    memcpy(&cb[252],ps->m44__1,1);
    memcpy(&cb[253],ps->m45__1,1);
    memcpy(&cb[254],ps->t1__1,1);
    memcpy(&cb[255],ps->t10__1,1);
    memcpy(&cb[256],ps->t13__1,1);
    memcpy(&cb[257],ps->t14__1,1);
    memcpy(&cb[258],ps->t15__1,1);
    memcpy(&cb[259],ps->t16__1,1);
    memcpy(&cb[260],ps->t17__1,1);
    memcpy(&cb[261],ps->t19__1,1);
    memcpy(&cb[262],ps->t2__1,1);
    memcpy(&cb[263],ps->t20__1,1);
    memcpy(&cb[264],ps->t22__1,1);
    memcpy(&cb[265],ps->t23__1,1);
    memcpy(&cb[266],ps->t24__1,1);
    memcpy(&cb[267],ps->t25__1,1);
    memcpy(&cb[268],ps->t26__1,1);
    memcpy(&cb[269],ps->t27__1,1);
    memcpy(&cb[270],ps->t3__1,1);
    memcpy(&cb[271],ps->t4__1,1);
    memcpy(&cb[272],ps->t6__1,1);
    memcpy(&cb[273],ps->t8__1,1);
    memcpy(&cb[274],ps->t9__1,1);
    memcpy(&cb[275],ps->u7__1,1);
    memcpy(&cb[276],ps->ddddt15__2,1);
    memcpy(&cb[277],ps->ddddt4__2,1);
    memcpy(&cb[278],ps->dt23__2,1);
    memcpy(&cb[279],ps->m20__2,1);
    memcpy(&cb[280],ps->m21__2,1);
    memcpy(&cb[281],ps->m22__2,1);
    memcpy(&cb[282],ps->m23__2,1);
    memcpy(&cb[283],ps->m24__2,1);
    memcpy(&cb[284],ps->m26__2,1);
    memcpy(&cb[285],ps->m27__2,1);
    memcpy(&cb[286],ps->m28__2,1);
    memcpy(&cb[287],ps->m31__2,1);
    memcpy(&cb[288],ps->m33__2,1);
    memcpy(&cb[289],ps->m34__2,1);
    memcpy(&cb[290],ps->m36__2,1);
    memcpy(&cb[291],ps->m37__2,1);
    memcpy(&cb[292],ps->m38__2,1);
    memcpy(&cb[293],ps->m39__2,1);
    memcpy(&cb[294],ps->m40__2,1);
    memcpy(&cb[295],ps->m41__2,1);
    memcpy(&cb[296],ps->m42__2,1);
    memcpy(&cb[297],ps->m43__2,1);
    memcpy(&cb[298],ps->m44__2,1);
    memcpy(&cb[299],ps->m45__2,1);
    memcpy(&cb[300],ps->t1__2,1);
    memcpy(&cb[301],ps->t10__2,1);
    memcpy(&cb[302],ps->t13__2,1);
    memcpy(&cb[303],ps->t14__2,1);
    memcpy(&cb[304],ps->t15__2,1);
    memcpy(&cb[305],ps->t16__2,1);
    memcpy(&cb[306],ps->t17__2,1);
    memcpy(&cb[307],ps->t19__2,1);
    memcpy(&cb[308],ps->t2__2,1);
    memcpy(&cb[309],ps->t20__2,1);
    memcpy(&cb[310],ps->t22__2,1);
    memcpy(&cb[311],ps->t23__2,1);
    memcpy(&cb[312],ps->t24__2,1);
    memcpy(&cb[313],ps->t25__2,1);
    memcpy(&cb[314],ps->t26__2,1);
    memcpy(&cb[315],ps->t27__2,1);
    memcpy(&cb[316],ps->t3__2,1);
    memcpy(&cb[317],ps->t4__2,1);
    memcpy(&cb[318],ps->t6__2,1);
    memcpy(&cb[319],ps->t8__2,1);
    memcpy(&cb[320],ps->t9__2,1);
    memcpy(&cb[321],ps->u7__2,1);
    memcpy(&cb[322],ps->ddddt15__3,1);
    memcpy(&cb[323],ps->ddddt4__3,1);
    memcpy(&cb[324],ps->dt23__3,1);
    memcpy(&cb[325],ps->m20__3,1);
    memcpy(&cb[326],ps->m21__3,1);
    memcpy(&cb[327],ps->m22__3,1);
    memcpy(&cb[328],ps->m23__3,1);
    memcpy(&cb[329],ps->m24__3,1);
    memcpy(&cb[330],ps->m26__3,1);
    memcpy(&cb[331],ps->m27__3,1);
    memcpy(&cb[332],ps->m28__3,1);
    memcpy(&cb[333],ps->m31__3,1);
    memcpy(&cb[334],ps->m33__3,1);
    memcpy(&cb[335],ps->m34__3,1);
    memcpy(&cb[336],ps->m36__3,1);
    memcpy(&cb[337],ps->m37__3,1);
    memcpy(&cb[338],ps->m38__3,1);
    memcpy(&cb[339],ps->m39__3,1);
    memcpy(&cb[340],ps->m40__3,1);
    memcpy(&cb[341],ps->m41__3,1);
    memcpy(&cb[342],ps->m42__3,1);
    memcpy(&cb[343],ps->m43__3,1);
    memcpy(&cb[344],ps->m44__3,1);
    memcpy(&cb[345],ps->m45__3,1);
    memcpy(&cb[346],ps->t1__3,1);
    memcpy(&cb[347],ps->t10__3,1);
    memcpy(&cb[348],ps->t13__3,1);
    memcpy(&cb[349],ps->t14__3,1);
    memcpy(&cb[350],ps->t15__3,1);
    memcpy(&cb[351],ps->t16__3,1);
    memcpy(&cb[352],ps->t17__3,1);
    memcpy(&cb[353],ps->t19__3,1);
    memcpy(&cb[354],ps->t2__3,1);
    memcpy(&cb[355],ps->t20__3,1);
    memcpy(&cb[356],ps->t22__3,1);
    memcpy(&cb[357],ps->t23__3,1);
    memcpy(&cb[358],ps->t24__3,1);
    memcpy(&cb[359],ps->t25__3,1);
    memcpy(&cb[360],ps->t26__3,1);
    memcpy(&cb[361],ps->t27__3,1);
    memcpy(&cb[362],ps->t3__3,1);
    memcpy(&cb[363],ps->t4__3,1);
    memcpy(&cb[364],ps->t6__3,1);
    memcpy(&cb[365],ps->t8__3,1);
    memcpy(&cb[366],ps->t9__3,1);
    memcpy(&cb[367],ps->u7__3,1);
}
void reset_probed_state_buffer(ProbedStateBuffer * psb) {
    psb->am_ps = 0;
}
extern "C" void flush_probed_state_buffer(ProbedStateBuffer * psb, FILE * stream) {
    for(uint32_t i=0; i<psb->am_ps; i++) {
        fwrite(&psb->buffer[i],368,1,stream);
    }
    reset_probed_state_buffer(psb);
}
void sim_clock_cycle(SimModel * sm) {
    Vaes_enc128_32bits_hpc2 * top = sm->vtop;
    top->clk=0;
    top->eval();
    top->clk=1;
    top->eval();
}
void link_state(SimModel * sm, ProbedState * state) {
    state->shares_key = (uint32_t (*)[8]) &sm->vtop->aes_enc128_32bits_hpc2->in_shares_key;
    state->shares_plaintext = (uint32_t (*)[8]) &sm->vtop->aes_enc128_32bits_hpc2->in_shares_plaintext;
    state->shares_ciphertext = (uint32_t (*)[8]) &sm->vtop->aes_enc128_32bits_hpc2->out_shares_ciphertext;
    state->B_fromSB__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[0];
    state->B_fromSB__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[1];
    state->B_fromSB__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[2];
    state->B_fromSB__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[3];
    state->B_toSB__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[0];
    state->B_toSB__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[1];
    state->B_toSB__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[2];
    state->B_toSB__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[3];
    state->b32_fromK =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->state_sh_4bytes_from_key;
    state->b32_fromAK =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->state_sh_4bytes_to_SB;
    state->b32_fromMC =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->core_data->sh_4bytes_from_MC;
    state->key_col_from_SB =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_4bytes_from_SB;
    state->key_col_to_AK =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_4bytes_to_AK;
    state->key_byte__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[0];
    state->key_byte__10 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[10];
    state->key_byte__11 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[11];
    state->key_byte__12 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[12];
    state->key_byte__13 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[13];
    state->key_byte__14 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[14];
    state->key_byte__15 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[15];
    state->key_byte__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[1];
    state->key_byte__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[2];
    state->key_byte__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[3];
    state->key_byte__4 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[4];
    state->key_byte__5 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[5];
    state->key_byte__6 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[6];
    state->key_byte__7 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[7];
    state->key_byte__8 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[8];
    state->key_byte__9 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[9];
    state->ddddt15__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->ddddt15;
    state->ddddt4__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->ddddt4;
    state->dt23__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->dt23;
    state->m20__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m20;
    state->m21__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m21;
    state->m22__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m22;
    state->m23__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m23;
    state->m24__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m24;
    state->m26__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m26;
    state->m27__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m27;
    state->m28__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m28;
    state->m31__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m31;
    state->m33__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m33;
    state->m34__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m34;
    state->m36__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m36;
    state->m37__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m37;
    state->m38__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m38;
    state->m39__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m39;
    state->m40__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m40;
    state->m41__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m41;
    state->m42__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m42;
    state->m43__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m43;
    state->m44__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m44;
    state->m45__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m45;
    state->t1__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t1;
    state->t10__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t10;
    state->t13__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t13;
    state->t14__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t14;
    state->t15__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t15;
    state->t16__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t16;
    state->t17__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t17;
    state->t19__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t19;
    state->t2__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t2;
    state->t20__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t20;
    state->t22__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t22;
    state->t23__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t23;
    state->t24__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t24;
    state->t25__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t25;
    state->t26__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t26;
    state->t27__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t27;
    state->t3__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t3;
    state->t4__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t4;
    state->t6__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t6;
    state->t8__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t8;
    state->t9__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t9;
    state->u7__0 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->u7;
    state->ddddt15__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->ddddt15;
    state->ddddt4__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->ddddt4;
    state->dt23__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->dt23;
    state->m20__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m20;
    state->m21__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m21;
    state->m22__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m22;
    state->m23__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m23;
    state->m24__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m24;
    state->m26__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m26;
    state->m27__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m27;
    state->m28__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m28;
    state->m31__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m31;
    state->m33__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m33;
    state->m34__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m34;
    state->m36__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m36;
    state->m37__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m37;
    state->m38__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m38;
    state->m39__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m39;
    state->m40__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m40;
    state->m41__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m41;
    state->m42__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m42;
    state->m43__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m43;
    state->m44__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m44;
    state->m45__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m45;
    state->t1__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t1;
    state->t10__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t10;
    state->t13__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t13;
    state->t14__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t14;
    state->t15__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t15;
    state->t16__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t16;
    state->t17__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t17;
    state->t19__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t19;
    state->t2__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t2;
    state->t20__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t20;
    state->t22__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t22;
    state->t23__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t23;
    state->t24__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t24;
    state->t25__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t25;
    state->t26__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t26;
    state->t27__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t27;
    state->t3__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t3;
    state->t4__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t4;
    state->t6__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t6;
    state->t8__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t8;
    state->t9__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t9;
    state->u7__1 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->u7;
    state->ddddt15__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->ddddt15;
    state->ddddt4__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->ddddt4;
    state->dt23__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->dt23;
    state->m20__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m20;
    state->m21__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m21;
    state->m22__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m22;
    state->m23__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m23;
    state->m24__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m24;
    state->m26__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m26;
    state->m27__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m27;
    state->m28__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m28;
    state->m31__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m31;
    state->m33__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m33;
    state->m34__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m34;
    state->m36__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m36;
    state->m37__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m37;
    state->m38__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m38;
    state->m39__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m39;
    state->m40__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m40;
    state->m41__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m41;
    state->m42__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m42;
    state->m43__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m43;
    state->m44__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m44;
    state->m45__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m45;
    state->t1__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t1;
    state->t10__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t10;
    state->t13__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t13;
    state->t14__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t14;
    state->t15__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t15;
    state->t16__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t16;
    state->t17__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t17;
    state->t19__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t19;
    state->t2__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t2;
    state->t20__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t20;
    state->t22__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t22;
    state->t23__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t23;
    state->t24__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t24;
    state->t25__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t25;
    state->t26__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t26;
    state->t27__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t27;
    state->t3__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t3;
    state->t4__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t4;
    state->t6__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t6;
    state->t8__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t8;
    state->t9__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t9;
    state->u7__2 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->u7;
    state->ddddt15__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->ddddt15;
    state->ddddt4__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->ddddt4;
    state->dt23__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->dt23;
    state->m20__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m20;
    state->m21__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m21;
    state->m22__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m22;
    state->m23__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m23;
    state->m24__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m24;
    state->m26__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m26;
    state->m27__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m27;
    state->m28__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m28;
    state->m31__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m31;
    state->m33__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m33;
    state->m34__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m34;
    state->m36__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m36;
    state->m37__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m37;
    state->m38__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m38;
    state->m39__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m39;
    state->m40__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m40;
    state->m41__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m41;
    state->m42__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m42;
    state->m43__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m43;
    state->m44__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m44;
    state->m45__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m45;
    state->t1__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t1;
    state->t10__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t10;
    state->t13__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t13;
    state->t14__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t14;
    state->t15__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t15;
    state->t16__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t16;
    state->t17__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t17;
    state->t19__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t19;
    state->t2__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t2;
    state->t20__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t20;
    state->t22__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t22;
    state->t23__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t23;
    state->t24__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t24;
    state->t25__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t25;
    state->t26__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t26;
    state->t27__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t27;
    state->t3__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t3;
    state->t4__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t4;
    state->t6__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t6;
    state->t8__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t8;
    state->t9__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t9;
    state->u7__3 =  &sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->u7;
}
void write_probed_state(ProbedState * state, FILE * stream) {
    fwrite(state->shares_key[0],4,8,stream);
    fwrite(state->shares_plaintext[0],4,8,stream);
    fwrite(state->shares_ciphertext[0],4,8,stream);
    fwrite(state->B_fromSB__0,2,1,stream);
    fwrite(state->B_fromSB__1,2,1,stream);
    fwrite(state->B_fromSB__2,2,1,stream);
    fwrite(state->B_fromSB__3,2,1,stream);
    fwrite(state->B_toSB__0,2,1,stream);
    fwrite(state->B_toSB__1,2,1,stream);
    fwrite(state->B_toSB__2,2,1,stream);
    fwrite(state->B_toSB__3,2,1,stream);
    fwrite(state->b32_fromK,8,1,stream);
    fwrite(state->b32_fromAK,8,1,stream);
    fwrite(state->b32_fromMC,8,1,stream);
    fwrite(state->key_col_from_SB,8,1,stream);
    fwrite(state->key_col_to_AK,8,1,stream);
    fwrite(state->key_byte__0,2,1,stream);
    fwrite(state->key_byte__10,2,1,stream);
    fwrite(state->key_byte__11,2,1,stream);
    fwrite(state->key_byte__12,2,1,stream);
    fwrite(state->key_byte__13,2,1,stream);
    fwrite(state->key_byte__14,2,1,stream);
    fwrite(state->key_byte__15,2,1,stream);
    fwrite(state->key_byte__1,2,1,stream);
    fwrite(state->key_byte__2,2,1,stream);
    fwrite(state->key_byte__3,2,1,stream);
    fwrite(state->key_byte__4,2,1,stream);
    fwrite(state->key_byte__5,2,1,stream);
    fwrite(state->key_byte__6,2,1,stream);
    fwrite(state->key_byte__7,2,1,stream);
    fwrite(state->key_byte__8,2,1,stream);
    fwrite(state->key_byte__9,2,1,stream);
    fwrite(state->ddddt15__0,1,1,stream);
    fwrite(state->ddddt4__0,1,1,stream);
    fwrite(state->dt23__0,1,1,stream);
    fwrite(state->m20__0,1,1,stream);
    fwrite(state->m21__0,1,1,stream);
    fwrite(state->m22__0,1,1,stream);
    fwrite(state->m23__0,1,1,stream);
    fwrite(state->m24__0,1,1,stream);
    fwrite(state->m26__0,1,1,stream);
    fwrite(state->m27__0,1,1,stream);
    fwrite(state->m28__0,1,1,stream);
    fwrite(state->m31__0,1,1,stream);
    fwrite(state->m33__0,1,1,stream);
    fwrite(state->m34__0,1,1,stream);
    fwrite(state->m36__0,1,1,stream);
    fwrite(state->m37__0,1,1,stream);
    fwrite(state->m38__0,1,1,stream);
    fwrite(state->m39__0,1,1,stream);
    fwrite(state->m40__0,1,1,stream);
    fwrite(state->m41__0,1,1,stream);
    fwrite(state->m42__0,1,1,stream);
    fwrite(state->m43__0,1,1,stream);
    fwrite(state->m44__0,1,1,stream);
    fwrite(state->m45__0,1,1,stream);
    fwrite(state->t1__0,1,1,stream);
    fwrite(state->t10__0,1,1,stream);
    fwrite(state->t13__0,1,1,stream);
    fwrite(state->t14__0,1,1,stream);
    fwrite(state->t15__0,1,1,stream);
    fwrite(state->t16__0,1,1,stream);
    fwrite(state->t17__0,1,1,stream);
    fwrite(state->t19__0,1,1,stream);
    fwrite(state->t2__0,1,1,stream);
    fwrite(state->t20__0,1,1,stream);
    fwrite(state->t22__0,1,1,stream);
    fwrite(state->t23__0,1,1,stream);
    fwrite(state->t24__0,1,1,stream);
    fwrite(state->t25__0,1,1,stream);
    fwrite(state->t26__0,1,1,stream);
    fwrite(state->t27__0,1,1,stream);
    fwrite(state->t3__0,1,1,stream);
    fwrite(state->t4__0,1,1,stream);
    fwrite(state->t6__0,1,1,stream);
    fwrite(state->t8__0,1,1,stream);
    fwrite(state->t9__0,1,1,stream);
    fwrite(state->u7__0,1,1,stream);
    fwrite(state->ddddt15__1,1,1,stream);
    fwrite(state->ddddt4__1,1,1,stream);
    fwrite(state->dt23__1,1,1,stream);
    fwrite(state->m20__1,1,1,stream);
    fwrite(state->m21__1,1,1,stream);
    fwrite(state->m22__1,1,1,stream);
    fwrite(state->m23__1,1,1,stream);
    fwrite(state->m24__1,1,1,stream);
    fwrite(state->m26__1,1,1,stream);
    fwrite(state->m27__1,1,1,stream);
    fwrite(state->m28__1,1,1,stream);
    fwrite(state->m31__1,1,1,stream);
    fwrite(state->m33__1,1,1,stream);
    fwrite(state->m34__1,1,1,stream);
    fwrite(state->m36__1,1,1,stream);
    fwrite(state->m37__1,1,1,stream);
    fwrite(state->m38__1,1,1,stream);
    fwrite(state->m39__1,1,1,stream);
    fwrite(state->m40__1,1,1,stream);
    fwrite(state->m41__1,1,1,stream);
    fwrite(state->m42__1,1,1,stream);
    fwrite(state->m43__1,1,1,stream);
    fwrite(state->m44__1,1,1,stream);
    fwrite(state->m45__1,1,1,stream);
    fwrite(state->t1__1,1,1,stream);
    fwrite(state->t10__1,1,1,stream);
    fwrite(state->t13__1,1,1,stream);
    fwrite(state->t14__1,1,1,stream);
    fwrite(state->t15__1,1,1,stream);
    fwrite(state->t16__1,1,1,stream);
    fwrite(state->t17__1,1,1,stream);
    fwrite(state->t19__1,1,1,stream);
    fwrite(state->t2__1,1,1,stream);
    fwrite(state->t20__1,1,1,stream);
    fwrite(state->t22__1,1,1,stream);
    fwrite(state->t23__1,1,1,stream);
    fwrite(state->t24__1,1,1,stream);
    fwrite(state->t25__1,1,1,stream);
    fwrite(state->t26__1,1,1,stream);
    fwrite(state->t27__1,1,1,stream);
    fwrite(state->t3__1,1,1,stream);
    fwrite(state->t4__1,1,1,stream);
    fwrite(state->t6__1,1,1,stream);
    fwrite(state->t8__1,1,1,stream);
    fwrite(state->t9__1,1,1,stream);
    fwrite(state->u7__1,1,1,stream);
    fwrite(state->ddddt15__2,1,1,stream);
    fwrite(state->ddddt4__2,1,1,stream);
    fwrite(state->dt23__2,1,1,stream);
    fwrite(state->m20__2,1,1,stream);
    fwrite(state->m21__2,1,1,stream);
    fwrite(state->m22__2,1,1,stream);
    fwrite(state->m23__2,1,1,stream);
    fwrite(state->m24__2,1,1,stream);
    fwrite(state->m26__2,1,1,stream);
    fwrite(state->m27__2,1,1,stream);
    fwrite(state->m28__2,1,1,stream);
    fwrite(state->m31__2,1,1,stream);
    fwrite(state->m33__2,1,1,stream);
    fwrite(state->m34__2,1,1,stream);
    fwrite(state->m36__2,1,1,stream);
    fwrite(state->m37__2,1,1,stream);
    fwrite(state->m38__2,1,1,stream);
    fwrite(state->m39__2,1,1,stream);
    fwrite(state->m40__2,1,1,stream);
    fwrite(state->m41__2,1,1,stream);
    fwrite(state->m42__2,1,1,stream);
    fwrite(state->m43__2,1,1,stream);
    fwrite(state->m44__2,1,1,stream);
    fwrite(state->m45__2,1,1,stream);
    fwrite(state->t1__2,1,1,stream);
    fwrite(state->t10__2,1,1,stream);
    fwrite(state->t13__2,1,1,stream);
    fwrite(state->t14__2,1,1,stream);
    fwrite(state->t15__2,1,1,stream);
    fwrite(state->t16__2,1,1,stream);
    fwrite(state->t17__2,1,1,stream);
    fwrite(state->t19__2,1,1,stream);
    fwrite(state->t2__2,1,1,stream);
    fwrite(state->t20__2,1,1,stream);
    fwrite(state->t22__2,1,1,stream);
    fwrite(state->t23__2,1,1,stream);
    fwrite(state->t24__2,1,1,stream);
    fwrite(state->t25__2,1,1,stream);
    fwrite(state->t26__2,1,1,stream);
    fwrite(state->t27__2,1,1,stream);
    fwrite(state->t3__2,1,1,stream);
    fwrite(state->t4__2,1,1,stream);
    fwrite(state->t6__2,1,1,stream);
    fwrite(state->t8__2,1,1,stream);
    fwrite(state->t9__2,1,1,stream);
    fwrite(state->u7__2,1,1,stream);
    fwrite(state->ddddt15__3,1,1,stream);
    fwrite(state->ddddt4__3,1,1,stream);
    fwrite(state->dt23__3,1,1,stream);
    fwrite(state->m20__3,1,1,stream);
    fwrite(state->m21__3,1,1,stream);
    fwrite(state->m22__3,1,1,stream);
    fwrite(state->m23__3,1,1,stream);
    fwrite(state->m24__3,1,1,stream);
    fwrite(state->m26__3,1,1,stream);
    fwrite(state->m27__3,1,1,stream);
    fwrite(state->m28__3,1,1,stream);
    fwrite(state->m31__3,1,1,stream);
    fwrite(state->m33__3,1,1,stream);
    fwrite(state->m34__3,1,1,stream);
    fwrite(state->m36__3,1,1,stream);
    fwrite(state->m37__3,1,1,stream);
    fwrite(state->m38__3,1,1,stream);
    fwrite(state->m39__3,1,1,stream);
    fwrite(state->m40__3,1,1,stream);
    fwrite(state->m41__3,1,1,stream);
    fwrite(state->m42__3,1,1,stream);
    fwrite(state->m43__3,1,1,stream);
    fwrite(state->m44__3,1,1,stream);
    fwrite(state->m45__3,1,1,stream);
    fwrite(state->t1__3,1,1,stream);
    fwrite(state->t10__3,1,1,stream);
    fwrite(state->t13__3,1,1,stream);
    fwrite(state->t14__3,1,1,stream);
    fwrite(state->t15__3,1,1,stream);
    fwrite(state->t16__3,1,1,stream);
    fwrite(state->t17__3,1,1,stream);
    fwrite(state->t19__3,1,1,stream);
    fwrite(state->t2__3,1,1,stream);
    fwrite(state->t20__3,1,1,stream);
    fwrite(state->t22__3,1,1,stream);
    fwrite(state->t23__3,1,1,stream);
    fwrite(state->t24__3,1,1,stream);
    fwrite(state->t25__3,1,1,stream);
    fwrite(state->t26__3,1,1,stream);
    fwrite(state->t27__3,1,1,stream);
    fwrite(state->t3__3,1,1,stream);
    fwrite(state->t4__3,1,1,stream);
    fwrite(state->t6__3,1,1,stream);
    fwrite(state->t8__3,1,1,stream);
    fwrite(state->t9__3,1,1,stream);
    fwrite(state->u7__3,1,1,stream);
}
uint32_t * get_shares_key(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->in_shares_key;
}
uint32_t * get_shares_plaintext(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->in_shares_plaintext;
}
uint32_t * get_shares_ciphertext(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->out_shares_ciphertext;
}
uint16_t get_B_fromSB__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[0];
}
uint16_t get_B_fromSB__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[1];
}
uint16_t get_B_fromSB__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[2];
}
uint16_t get_B_fromSB__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_from_SB[3];
}
uint16_t get_B_toSB__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[0];
}
uint16_t get_B_toSB__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[1];
}
uint16_t get_B_toSB__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[2];
}
uint16_t get_B_toSB__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->bytes_to_SB[3];
}
uint64_t get_b32_fromK(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->state_sh_4bytes_from_key;
}
uint64_t get_b32_fromAK(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->state_sh_4bytes_to_SB;
}
uint64_t get_b32_fromMC(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->core_data->sh_4bytes_from_MC;
}
uint64_t get_key_col_from_SB(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_4bytes_from_SB;
}
uint64_t get_key_col_to_AK(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_4bytes_to_AK;
}
uint16_t get_key_byte__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[0];
}
uint16_t get_key_byte__10(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[10];
}
uint16_t get_key_byte__11(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[11];
}
uint16_t get_key_byte__12(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[12];
}
uint16_t get_key_byte__13(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[13];
}
uint16_t get_key_byte__14(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[14];
}
uint16_t get_key_byte__15(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[15];
}
uint16_t get_key_byte__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[1];
}
uint16_t get_key_byte__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[2];
}
uint16_t get_key_byte__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[3];
}
uint16_t get_key_byte__4(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[4];
}
uint16_t get_key_byte__5(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[5];
}
uint16_t get_key_byte__6(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[6];
}
uint16_t get_key_byte__7(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[7];
}
uint16_t get_key_byte__8(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[8];
}
uint16_t get_key_byte__9(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->key_holder->sh_m_key[9];
}
uint8_t get_ddddt15__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->ddddt15;
}
uint8_t get_ddddt4__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->ddddt4;
}
uint8_t get_dt23__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->dt23;
}
uint8_t get_m20__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m20;
}
uint8_t get_m21__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m21;
}
uint8_t get_m22__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m22;
}
uint8_t get_m23__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m23;
}
uint8_t get_m24__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m24;
}
uint8_t get_m26__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m26;
}
uint8_t get_m27__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m27;
}
uint8_t get_m28__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m28;
}
uint8_t get_m31__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m31;
}
uint8_t get_m33__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m33;
}
uint8_t get_m34__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m34;
}
uint8_t get_m36__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m36;
}
uint8_t get_m37__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m37;
}
uint8_t get_m38__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m38;
}
uint8_t get_m39__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m39;
}
uint8_t get_m40__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m40;
}
uint8_t get_m41__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m41;
}
uint8_t get_m42__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m42;
}
uint8_t get_m43__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m43;
}
uint8_t get_m44__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m44;
}
uint8_t get_m45__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->m45;
}
uint8_t get_t1__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t1;
}
uint8_t get_t10__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t10;
}
uint8_t get_t13__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t13;
}
uint8_t get_t14__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t14;
}
uint8_t get_t15__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t15;
}
uint8_t get_t16__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t16;
}
uint8_t get_t17__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t17;
}
uint8_t get_t19__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t19;
}
uint8_t get_t2__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t2;
}
uint8_t get_t20__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t20;
}
uint8_t get_t22__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t22;
}
uint8_t get_t23__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t23;
}
uint8_t get_t24__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t24;
}
uint8_t get_t25__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t25;
}
uint8_t get_t26__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t26;
}
uint8_t get_t27__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t27;
}
uint8_t get_t3__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t3;
}
uint8_t get_t4__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t4;
}
uint8_t get_t6__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t6;
}
uint8_t get_t8__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t8;
}
uint8_t get_t9__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->t9;
}
uint8_t get_u7__0(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__0__KET____DOT__sbox_unit->u7;
}
uint8_t get_ddddt15__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->ddddt15;
}
uint8_t get_ddddt4__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->ddddt4;
}
uint8_t get_dt23__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->dt23;
}
uint8_t get_m20__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m20;
}
uint8_t get_m21__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m21;
}
uint8_t get_m22__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m22;
}
uint8_t get_m23__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m23;
}
uint8_t get_m24__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m24;
}
uint8_t get_m26__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m26;
}
uint8_t get_m27__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m27;
}
uint8_t get_m28__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m28;
}
uint8_t get_m31__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m31;
}
uint8_t get_m33__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m33;
}
uint8_t get_m34__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m34;
}
uint8_t get_m36__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m36;
}
uint8_t get_m37__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m37;
}
uint8_t get_m38__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m38;
}
uint8_t get_m39__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m39;
}
uint8_t get_m40__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m40;
}
uint8_t get_m41__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m41;
}
uint8_t get_m42__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m42;
}
uint8_t get_m43__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m43;
}
uint8_t get_m44__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m44;
}
uint8_t get_m45__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->m45;
}
uint8_t get_t1__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t1;
}
uint8_t get_t10__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t10;
}
uint8_t get_t13__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t13;
}
uint8_t get_t14__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t14;
}
uint8_t get_t15__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t15;
}
uint8_t get_t16__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t16;
}
uint8_t get_t17__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t17;
}
uint8_t get_t19__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t19;
}
uint8_t get_t2__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t2;
}
uint8_t get_t20__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t20;
}
uint8_t get_t22__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t22;
}
uint8_t get_t23__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t23;
}
uint8_t get_t24__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t24;
}
uint8_t get_t25__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t25;
}
uint8_t get_t26__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t26;
}
uint8_t get_t27__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t27;
}
uint8_t get_t3__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t3;
}
uint8_t get_t4__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t4;
}
uint8_t get_t6__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t6;
}
uint8_t get_t8__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t8;
}
uint8_t get_t9__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->t9;
}
uint8_t get_u7__1(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__1__KET____DOT__sbox_unit->u7;
}
uint8_t get_ddddt15__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->ddddt15;
}
uint8_t get_ddddt4__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->ddddt4;
}
uint8_t get_dt23__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->dt23;
}
uint8_t get_m20__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m20;
}
uint8_t get_m21__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m21;
}
uint8_t get_m22__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m22;
}
uint8_t get_m23__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m23;
}
uint8_t get_m24__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m24;
}
uint8_t get_m26__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m26;
}
uint8_t get_m27__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m27;
}
uint8_t get_m28__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m28;
}
uint8_t get_m31__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m31;
}
uint8_t get_m33__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m33;
}
uint8_t get_m34__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m34;
}
uint8_t get_m36__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m36;
}
uint8_t get_m37__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m37;
}
uint8_t get_m38__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m38;
}
uint8_t get_m39__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m39;
}
uint8_t get_m40__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m40;
}
uint8_t get_m41__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m41;
}
uint8_t get_m42__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m42;
}
uint8_t get_m43__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m43;
}
uint8_t get_m44__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m44;
}
uint8_t get_m45__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->m45;
}
uint8_t get_t1__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t1;
}
uint8_t get_t10__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t10;
}
uint8_t get_t13__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t13;
}
uint8_t get_t14__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t14;
}
uint8_t get_t15__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t15;
}
uint8_t get_t16__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t16;
}
uint8_t get_t17__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t17;
}
uint8_t get_t19__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t19;
}
uint8_t get_t2__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t2;
}
uint8_t get_t20__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t20;
}
uint8_t get_t22__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t22;
}
uint8_t get_t23__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t23;
}
uint8_t get_t24__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t24;
}
uint8_t get_t25__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t25;
}
uint8_t get_t26__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t26;
}
uint8_t get_t27__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t27;
}
uint8_t get_t3__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t3;
}
uint8_t get_t4__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t4;
}
uint8_t get_t6__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t6;
}
uint8_t get_t8__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t8;
}
uint8_t get_t9__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->t9;
}
uint8_t get_u7__2(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__2__KET____DOT__sbox_unit->u7;
}
uint8_t get_ddddt15__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->ddddt15;
}
uint8_t get_ddddt4__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->ddddt4;
}
uint8_t get_dt23__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->dt23;
}
uint8_t get_m20__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m20;
}
uint8_t get_m21__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m21;
}
uint8_t get_m22__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m22;
}
uint8_t get_m23__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m23;
}
uint8_t get_m24__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m24;
}
uint8_t get_m26__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m26;
}
uint8_t get_m27__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m27;
}
uint8_t get_m28__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m28;
}
uint8_t get_m31__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m31;
}
uint8_t get_m33__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m33;
}
uint8_t get_m34__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m34;
}
uint8_t get_m36__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m36;
}
uint8_t get_m37__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m37;
}
uint8_t get_m38__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m38;
}
uint8_t get_m39__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m39;
}
uint8_t get_m40__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m40;
}
uint8_t get_m41__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m41;
}
uint8_t get_m42__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m42;
}
uint8_t get_m43__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m43;
}
uint8_t get_m44__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m44;
}
uint8_t get_m45__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->m45;
}
uint8_t get_t1__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t1;
}
uint8_t get_t10__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t10;
}
uint8_t get_t13__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t13;
}
uint8_t get_t14__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t14;
}
uint8_t get_t15__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t15;
}
uint8_t get_t16__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t16;
}
uint8_t get_t17__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t17;
}
uint8_t get_t19__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t19;
}
uint8_t get_t2__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t2;
}
uint8_t get_t20__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t20;
}
uint8_t get_t22__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t22;
}
uint8_t get_t23__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t23;
}
uint8_t get_t24__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t24;
}
uint8_t get_t25__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t25;
}
uint8_t get_t26__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t26;
}
uint8_t get_t27__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t27;
}
uint8_t get_t3__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t3;
}
uint8_t get_t4__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t4;
}
uint8_t get_t6__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t6;
}
uint8_t get_t8__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t8;
}
uint8_t get_t9__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->t9;
}
uint8_t get_u7__3(SimModel * sm) {
    return sm->vtop->aes_enc128_32bits_hpc2->aes_core->sbox_isnt__BRA__3__KET____DOT__sbox_unit->u7;
}
extern "C" const char * dump_json() {
    return "{\"bytes\": 368, \"sigs\": {\"shares_key\": {\"bytes\": 32, \"bits\": 256}, \"shares_plaintext\": {\"bytes\": 32, \"bits\": 256}, \"shares_ciphertext\": {\"bytes\": 32, \"bits\": 256}, \"B_fromSB__0\": {\"bytes\": 2, \"bits\": 16}, \"B_fromSB__1\": {\"bytes\": 2, \"bits\": 16}, \"B_fromSB__2\": {\"bytes\": 2, \"bits\": 16}, \"B_fromSB__3\": {\"bytes\": 2, \"bits\": 16}, \"B_toSB__0\": {\"bytes\": 2, \"bits\": 16}, \"B_toSB__1\": {\"bytes\": 2, \"bits\": 16}, \"B_toSB__2\": {\"bytes\": 2, \"bits\": 16}, \"B_toSB__3\": {\"bytes\": 2, \"bits\": 16}, \"b32_fromK\": {\"bytes\": 8, \"bits\": 64}, \"b32_fromAK\": {\"bytes\": 8, \"bits\": 64}, \"b32_fromMC\": {\"bytes\": 8, \"bits\": 64}, \"key_col_from_SB\": {\"bytes\": 8, \"bits\": 64}, \"key_col_to_AK\": {\"bytes\": 8, \"bits\": 64}, \"key_byte__0\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__10\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__11\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__12\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__13\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__14\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__15\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__1\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__2\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__3\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__4\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__5\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__6\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__7\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__8\": {\"bytes\": 2, \"bits\": 16}, \"key_byte__9\": {\"bytes\": 2, \"bits\": 16}, \"ddddt15__0\": {\"bytes\": 1, \"bits\": 2}, \"ddddt4__0\": {\"bytes\": 1, \"bits\": 2}, \"dt23__0\": {\"bytes\": 1, \"bits\": 2}, \"m20__0\": {\"bytes\": 1, \"bits\": 2}, \"m21__0\": {\"bytes\": 1, \"bits\": 2}, \"m22__0\": {\"bytes\": 1, \"bits\": 2}, \"m23__0\": {\"bytes\": 1, \"bits\": 2}, \"m24__0\": {\"bytes\": 1, \"bits\": 2}, \"m26__0\": {\"bytes\": 1, \"bits\": 2}, \"m27__0\": {\"bytes\": 1, \"bits\": 2}, \"m28__0\": {\"bytes\": 1, \"bits\": 2}, \"m31__0\": {\"bytes\": 1, \"bits\": 2}, \"m33__0\": {\"bytes\": 1, \"bits\": 2}, \"m34__0\": {\"bytes\": 1, \"bits\": 2}, \"m36__0\": {\"bytes\": 1, \"bits\": 2}, \"m37__0\": {\"bytes\": 1, \"bits\": 2}, \"m38__0\": {\"bytes\": 1, \"bits\": 2}, \"m39__0\": {\"bytes\": 1, \"bits\": 2}, \"m40__0\": {\"bytes\": 1, \"bits\": 2}, \"m41__0\": {\"bytes\": 1, \"bits\": 2}, \"m42__0\": {\"bytes\": 1, \"bits\": 2}, \"m43__0\": {\"bytes\": 1, \"bits\": 2}, \"m44__0\": {\"bytes\": 1, \"bits\": 2}, \"m45__0\": {\"bytes\": 1, \"bits\": 2}, \"t1__0\": {\"bytes\": 1, \"bits\": 2}, \"t10__0\": {\"bytes\": 1, \"bits\": 2}, \"t13__0\": {\"bytes\": 1, \"bits\": 2}, \"t14__0\": {\"bytes\": 1, \"bits\": 2}, \"t15__0\": {\"bytes\": 1, \"bits\": 2}, \"t16__0\": {\"bytes\": 1, \"bits\": 2}, \"t17__0\": {\"bytes\": 1, \"bits\": 2}, \"t19__0\": {\"bytes\": 1, \"bits\": 2}, \"t2__0\": {\"bytes\": 1, \"bits\": 2}, \"t20__0\": {\"bytes\": 1, \"bits\": 2}, \"t22__0\": {\"bytes\": 1, \"bits\": 2}, \"t23__0\": {\"bytes\": 1, \"bits\": 2}, \"t24__0\": {\"bytes\": 1, \"bits\": 2}, \"t25__0\": {\"bytes\": 1, \"bits\": 2}, \"t26__0\": {\"bytes\": 1, \"bits\": 2}, \"t27__0\": {\"bytes\": 1, \"bits\": 2}, \"t3__0\": {\"bytes\": 1, \"bits\": 2}, \"t4__0\": {\"bytes\": 1, \"bits\": 2}, \"t6__0\": {\"bytes\": 1, \"bits\": 2}, \"t8__0\": {\"bytes\": 1, \"bits\": 2}, \"t9__0\": {\"bytes\": 1, \"bits\": 2}, \"u7__0\": {\"bytes\": 1, \"bits\": 2}, \"ddddt15__1\": {\"bytes\": 1, \"bits\": 2}, \"ddddt4__1\": {\"bytes\": 1, \"bits\": 2}, \"dt23__1\": {\"bytes\": 1, \"bits\": 2}, \"m20__1\": {\"bytes\": 1, \"bits\": 2}, \"m21__1\": {\"bytes\": 1, \"bits\": 2}, \"m22__1\": {\"bytes\": 1, \"bits\": 2}, \"m23__1\": {\"bytes\": 1, \"bits\": 2}, \"m24__1\": {\"bytes\": 1, \"bits\": 2}, \"m26__1\": {\"bytes\": 1, \"bits\": 2}, \"m27__1\": {\"bytes\": 1, \"bits\": 2}, \"m28__1\": {\"bytes\": 1, \"bits\": 2}, \"m31__1\": {\"bytes\": 1, \"bits\": 2}, \"m33__1\": {\"bytes\": 1, \"bits\": 2}, \"m34__1\": {\"bytes\": 1, \"bits\": 2}, \"m36__1\": {\"bytes\": 1, \"bits\": 2}, \"m37__1\": {\"bytes\": 1, \"bits\": 2}, \"m38__1\": {\"bytes\": 1, \"bits\": 2}, \"m39__1\": {\"bytes\": 1, \"bits\": 2}, \"m40__1\": {\"bytes\": 1, \"bits\": 2}, \"m41__1\": {\"bytes\": 1, \"bits\": 2}, \"m42__1\": {\"bytes\": 1, \"bits\": 2}, \"m43__1\": {\"bytes\": 1, \"bits\": 2}, \"m44__1\": {\"bytes\": 1, \"bits\": 2}, \"m45__1\": {\"bytes\": 1, \"bits\": 2}, \"t1__1\": {\"bytes\": 1, \"bits\": 2}, \"t10__1\": {\"bytes\": 1, \"bits\": 2}, \"t13__1\": {\"bytes\": 1, \"bits\": 2}, \"t14__1\": {\"bytes\": 1, \"bits\": 2}, \"t15__1\": {\"bytes\": 1, \"bits\": 2}, \"t16__1\": {\"bytes\": 1, \"bits\": 2}, \"t17__1\": {\"bytes\": 1, \"bits\": 2}, \"t19__1\": {\"bytes\": 1, \"bits\": 2}, \"t2__1\": {\"bytes\": 1, \"bits\": 2}, \"t20__1\": {\"bytes\": 1, \"bits\": 2}, \"t22__1\": {\"bytes\": 1, \"bits\": 2}, \"t23__1\": {\"bytes\": 1, \"bits\": 2}, \"t24__1\": {\"bytes\": 1, \"bits\": 2}, \"t25__1\": {\"bytes\": 1, \"bits\": 2}, \"t26__1\": {\"bytes\": 1, \"bits\": 2}, \"t27__1\": {\"bytes\": 1, \"bits\": 2}, \"t3__1\": {\"bytes\": 1, \"bits\": 2}, \"t4__1\": {\"bytes\": 1, \"bits\": 2}, \"t6__1\": {\"bytes\": 1, \"bits\": 2}, \"t8__1\": {\"bytes\": 1, \"bits\": 2}, \"t9__1\": {\"bytes\": 1, \"bits\": 2}, \"u7__1\": {\"bytes\": 1, \"bits\": 2}, \"ddddt15__2\": {\"bytes\": 1, \"bits\": 2}, \"ddddt4__2\": {\"bytes\": 1, \"bits\": 2}, \"dt23__2\": {\"bytes\": 1, \"bits\": 2}, \"m20__2\": {\"bytes\": 1, \"bits\": 2}, \"m21__2\": {\"bytes\": 1, \"bits\": 2}, \"m22__2\": {\"bytes\": 1, \"bits\": 2}, \"m23__2\": {\"bytes\": 1, \"bits\": 2}, \"m24__2\": {\"bytes\": 1, \"bits\": 2}, \"m26__2\": {\"bytes\": 1, \"bits\": 2}, \"m27__2\": {\"bytes\": 1, \"bits\": 2}, \"m28__2\": {\"bytes\": 1, \"bits\": 2}, \"m31__2\": {\"bytes\": 1, \"bits\": 2}, \"m33__2\": {\"bytes\": 1, \"bits\": 2}, \"m34__2\": {\"bytes\": 1, \"bits\": 2}, \"m36__2\": {\"bytes\": 1, \"bits\": 2}, \"m37__2\": {\"bytes\": 1, \"bits\": 2}, \"m38__2\": {\"bytes\": 1, \"bits\": 2}, \"m39__2\": {\"bytes\": 1, \"bits\": 2}, \"m40__2\": {\"bytes\": 1, \"bits\": 2}, \"m41__2\": {\"bytes\": 1, \"bits\": 2}, \"m42__2\": {\"bytes\": 1, \"bits\": 2}, \"m43__2\": {\"bytes\": 1, \"bits\": 2}, \"m44__2\": {\"bytes\": 1, \"bits\": 2}, \"m45__2\": {\"bytes\": 1, \"bits\": 2}, \"t1__2\": {\"bytes\": 1, \"bits\": 2}, \"t10__2\": {\"bytes\": 1, \"bits\": 2}, \"t13__2\": {\"bytes\": 1, \"bits\": 2}, \"t14__2\": {\"bytes\": 1, \"bits\": 2}, \"t15__2\": {\"bytes\": 1, \"bits\": 2}, \"t16__2\": {\"bytes\": 1, \"bits\": 2}, \"t17__2\": {\"bytes\": 1, \"bits\": 2}, \"t19__2\": {\"bytes\": 1, \"bits\": 2}, \"t2__2\": {\"bytes\": 1, \"bits\": 2}, \"t20__2\": {\"bytes\": 1, \"bits\": 2}, \"t22__2\": {\"bytes\": 1, \"bits\": 2}, \"t23__2\": {\"bytes\": 1, \"bits\": 2}, \"t24__2\": {\"bytes\": 1, \"bits\": 2}, \"t25__2\": {\"bytes\": 1, \"bits\": 2}, \"t26__2\": {\"bytes\": 1, \"bits\": 2}, \"t27__2\": {\"bytes\": 1, \"bits\": 2}, \"t3__2\": {\"bytes\": 1, \"bits\": 2}, \"t4__2\": {\"bytes\": 1, \"bits\": 2}, \"t6__2\": {\"bytes\": 1, \"bits\": 2}, \"t8__2\": {\"bytes\": 1, \"bits\": 2}, \"t9__2\": {\"bytes\": 1, \"bits\": 2}, \"u7__2\": {\"bytes\": 1, \"bits\": 2}, \"ddddt15__3\": {\"bytes\": 1, \"bits\": 2}, \"ddddt4__3\": {\"bytes\": 1, \"bits\": 2}, \"dt23__3\": {\"bytes\": 1, \"bits\": 2}, \"m20__3\": {\"bytes\": 1, \"bits\": 2}, \"m21__3\": {\"bytes\": 1, \"bits\": 2}, \"m22__3\": {\"bytes\": 1, \"bits\": 2}, \"m23__3\": {\"bytes\": 1, \"bits\": 2}, \"m24__3\": {\"bytes\": 1, \"bits\": 2}, \"m26__3\": {\"bytes\": 1, \"bits\": 2}, \"m27__3\": {\"bytes\": 1, \"bits\": 2}, \"m28__3\": {\"bytes\": 1, \"bits\": 2}, \"m31__3\": {\"bytes\": 1, \"bits\": 2}, \"m33__3\": {\"bytes\": 1, \"bits\": 2}, \"m34__3\": {\"bytes\": 1, \"bits\": 2}, \"m36__3\": {\"bytes\": 1, \"bits\": 2}, \"m37__3\": {\"bytes\": 1, \"bits\": 2}, \"m38__3\": {\"bytes\": 1, \"bits\": 2}, \"m39__3\": {\"bytes\": 1, \"bits\": 2}, \"m40__3\": {\"bytes\": 1, \"bits\": 2}, \"m41__3\": {\"bytes\": 1, \"bits\": 2}, \"m42__3\": {\"bytes\": 1, \"bits\": 2}, \"m43__3\": {\"bytes\": 1, \"bits\": 2}, \"m44__3\": {\"bytes\": 1, \"bits\": 2}, \"m45__3\": {\"bytes\": 1, \"bits\": 2}, \"t1__3\": {\"bytes\": 1, \"bits\": 2}, \"t10__3\": {\"bytes\": 1, \"bits\": 2}, \"t13__3\": {\"bytes\": 1, \"bits\": 2}, \"t14__3\": {\"bytes\": 1, \"bits\": 2}, \"t15__3\": {\"bytes\": 1, \"bits\": 2}, \"t16__3\": {\"bytes\": 1, \"bits\": 2}, \"t17__3\": {\"bytes\": 1, \"bits\": 2}, \"t19__3\": {\"bytes\": 1, \"bits\": 2}, \"t2__3\": {\"bytes\": 1, \"bits\": 2}, \"t20__3\": {\"bytes\": 1, \"bits\": 2}, \"t22__3\": {\"bytes\": 1, \"bits\": 2}, \"t23__3\": {\"bytes\": 1, \"bits\": 2}, \"t24__3\": {\"bytes\": 1, \"bits\": 2}, \"t25__3\": {\"bytes\": 1, \"bits\": 2}, \"t26__3\": {\"bytes\": 1, \"bits\": 2}, \"t27__3\": {\"bytes\": 1, \"bits\": 2}, \"t3__3\": {\"bytes\": 1, \"bits\": 2}, \"t4__3\": {\"bytes\": 1, \"bits\": 2}, \"t6__3\": {\"bytes\": 1, \"bits\": 2}, \"t8__3\": {\"bytes\": 1, \"bits\": 2}, \"t9__3\": {\"bytes\": 1, \"bits\": 2}, \"u7__3\": {\"bytes\": 1, \"bits\": 2}}, \"GENERIC_TOP\": {\"d\": 2}, \"TOP\": \"aes_enc128_32bits_hpc2\"}";
}
int save_state(Prober *p) {
    if (p->n_saves == p->max_n_saves) {
        return 1;
    }
    write_probed_state_to_charbuffer(p->buffer + p->n_saves * probed_state_bytes, p->state);
    p->n_saves += 1;
    return 0;
}
extern "C" uint32_t get_probed_state_bytes() {
    return probed_state_bytes;
}